<?php
function date_custom_rest(){

    register_rest_field(array('markets','venders','other_services','tlg_channels',"top_forums"), '_market_date', array(
            'get_callback' => function (){
	            global $post;
	            $links = get_post_meta($post->ID, '_market_date',true);
                wp_reset_postdata();
                return $links;
            }
    ));
}
add_action('rest_api_init', 'date_custom_rest' );